File nss-compat-openssl.spec of Package nss-compat-openssl

#
# spec file for package nss-compat-openssl (Version 0.9.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://rcritten.fedorapeople.org/nss_compat_ossl.html

Name:           nss-compat-openssl
BuildRequires:  mozilla-nspr-devel mozilla-nss-devel pkg-config
Version:        0.9.2
Release:        3
Summary:        OpenSSL to NSS source-level compatibility library
Group:          Development/Libraries/C and C++
License:        LGPL v2.1 or later
Source0:        http://directory.fedoraproject.org/sources/nss_compat_ossl-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on

%description
This library provides a source-level compatibility layer to aid porting
programs that use OpenSSL to use the NSS library instead.



Authors:
--------
    James Antill
    Rob Crittenden

%define debug_package_requires libnss_compat_ossl0 = %{version}-%{release}

%package -n libnss_compat_ossl0
License:        LGPL v2.1 or later
Summary:        OpenSSL to NSS source-level compatibility library
Group:          Development/Libraries/C and C++

%description -n libnss_compat_ossl0
This library provides a source-level compatibility layer to aid porting
programs that use OpenSSL to use the NSS library instead.



Authors:
--------
    James Antill
    Rob Crittenden

%package devel
License:        LGPL v2.1 or later
Summary:        OpenSSL to NSS source-level compatibility library
Group:          Development/Libraries/C and C++
Requires:       libnss_compat_ossl0 = %{version}

%description devel
This library provides a source-level compatibility layer to aid porting
programs that use OpenSSL to use the NSS library instead.



Authors:
--------
    James Antill
    Rob Crittenden

%prep
%setup -n nss_compat_ossl-%{version}

%build
%configure
%__make

%install
%makeinstall
# We don't want to ship the .a and .la files
%{__rm} $RPM_BUILD_ROOT/%{_libdir}/*.*a

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -n libnss_compat_ossl0
%defattr(-, root, root, -)
%{_libdir}/libnss_compat_ossl.so.*
%doc README COPYING

%files devel
%defattr(-,root,root,-)
%{_includedir}/nss_compat_ossl
%{_libdir}/libnss_compat_ossl.so

%post -n libnss_compat_ossl0 -p /sbin/ldconfig

%postun -n libnss_compat_ossl0 -p /sbin/ldconfig

%changelog
* Fri Aug 22 2008 hpj@suse.de
- Split off libnss_compat_ossl0 library package.
- Minor fixes to specfile form.
* Mon Aug 18 2008 hpj@suse.de
- Initial package.